@echo off
echo Chart Industries TEC COM Kit Driver Installer:
echo Please plug TEC COM Kit PN 13376947 into USB port.
pause
echo Detecting OS processor type

if "%PROCESSOR_ARCHITECTURE%"=="AMD64" goto 64BIT
echo 32-bit OS
action 
echo Driver install Part 1/2 starting...
"%~dp0dpinst_x86.exe" /c 
echo Driver install Part 2/2 starting...
"%~dp0dpinst_x86.exe" /c 
goto END
:64BIT
echo 64-bit OS
echo Driver install Part 1/2 starting...
"%~dp0dpinst_amd64.exe" /c 
echo Driver install Part 2/2 starting...
"%~dp0dpinst_amd64.exe" /c 
:END
echo.
echo.
echo You are done
pause
